| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableService Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableService:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableService:
[legend]

## Public Member Functions
def | __deepcopy__ (self, memo)
def | copyChild (self, child)
def | getHandle (self)
def | getGaudiType (cls)
def | getGaudiHandle (self)
def | toStringProperty (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, *args, **kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, **kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables
dictionary | configurableServices

## Detailed Description

Definition at line 1129 of file Configurable.py.

## Member Function Documentation

## ◆ __deepcopy__()

def GaudiKernel.Configurable.ConfigurableService.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1137 of file Configurable.py.

1137 def __deepcopy__(self, memo):
1138 return self # services are always shared
1139

## ◆ copyChild()

def GaudiKernel.Configurable.ConfigurableService.copyChild | ( |  | self,
|  |  | child
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1140 of file Configurable.py.

1140 def copyChild(self, child):
1141 return child # full sharing
1142

## ◆ getGaudiHandle()

def GaudiKernel.Configurable.ConfigurableService.getGaudiHandle | ( |  | self | ) |

Definition at line 1150 of file Configurable.py.

1150 def getGaudiHandle(self):
1151 return ServiceHandle(self.toStringProperty())
1152
ServiceHandle
Handle to be used in lieu of naked pointers to services.
Definition: ServiceHandle.h:31

## ◆ getGaudiType()

def GaudiKernel.Configurable.ConfigurableService.getGaudiType | ( |  | cls | ) |

Definition at line 1147 of file Configurable.py.

1147 def getGaudiType(cls):
1148 return 'Service'
1149

## ◆ getHandle()

def GaudiKernel.Configurable.ConfigurableService.getHandle | ( |  | self | ) |

Definition at line 1143 of file Configurable.py.

1143 def getHandle(self):
1144 return iService(self._name)
1145

## ◆ toStringProperty()

def GaudiKernel.Configurable.ConfigurableService.toStringProperty | ( |  | self | ) |

Definition at line 1153 of file Configurable.py.

1153 def toStringProperty(self):
1154 # called on conversion to a string property for the jocat
1155 return self.getName()
1156
1157

## Member Data Documentation

## ◆ __slots__

dictionary GaudiKernel.Configurable.ConfigurableService.__slots__
| static private

Initial value:
= {
'OutputLevel': 0,
'AuditServices': 0,
'AuditInitialize': 0,
'AuditFinalize': 0
}

Definition at line 1130 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py